include($$(QXORM_DIR)/QxOrm.pri)

TEMPLATE = app
TARGET = qxorm

QT -= gui

CONFIG += c++11 console
CONFIG -= app_bundle

DEFINES += BUILDING_QXORM_EXAMPLE

INCLUDEPATH += $$(QXORM_DIR)/include
LIBS += -L"$$(QXORM_DIR)/lib"

CONFIG(debug, debug|release) {
    LIBS += -l"QxOrmd"
} else {
    LIBS += -l"QxOrm"
}

SOURCES += \
    address.cpp \
    customer.cpp \
    machine.cpp \
    main.cpp \
    order.cpp \
    orderpiece.cpp \
    productiondata.cpp

HEADERS += \
    address.h \
    customer.h \
    export.h \
    machine.h \
    order.h \
    orderpiece.h \
    productiondata.h
